Authentifizierung

POST /oauth/token

Mit Hilfe des bei BOOKANDPLAY hinterlegten Client ID und Client Secrets einen Access Token bei der goalio Applikation beantragen.

Beispiel request:

GET /oauth/token HTTP/1.1
Authorization: Basic Ym9va2FuZHBsYXk6MTIzNDU2
grant_type=client_credentials&scope=bap_users+bap_booking

Beispiel response:

HTTP/1.1 200 OK
Content-Type: application/json
{
  "access_token":"f3b626f3fce4e24ce0ea5f706be2c08bf880a717",
  "expires_in":3600,
  "token_type":"Bearer",
  "scope":"bap_users bap_booking"
}
Query Parameters:
 
  • grant_type (string) – Ist immer ‘’client_credentials’‘
  • scope (string) – Ist immer ‘’bap_users bap_booking’‘
Request Headers:
 
  • AuthorizationBasic authentication mit base64 kodiertem Client ID udn Client Secret
Response Headers:
 
Response JSON Object:
 
  • access_token (string) – Token das bei folgenden Reuqests genutzt werden muss
  • expires_in (int) – Gültigkeit des Tokens in Sekunden
  • token_type (string) – Typ des Tokens. In diesem Fall immer Bearer
  • scope (string) – Token ist gültig für diese Scopes
Status Codes:
developer/bookandplay/../images/developer/bookandplay/authentification.png